Campaigns

POST /public/v1/campaigns

Create a new outreach campaign.

POST /public/v1/campaigns

POST /public/v1/campaigns

curl --request POST \
  --url 'https://api.joinvalley.co/public/v1/campaigns' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "Q2 SaaS Outreach - AI",
  "type": "MESSAGING",
  "mode": "AI",
  "workspaceId": "cmnz1tlkq0005shcy1f66wba1",
  "workspaceProductId": "cmnz3456t0005shcy1f66wbap",
  "writingStyleId": "cmnz1tlkq0005shcy1f66wcxw",
  "outreachCountPerDay": 20,
  "autoPilot": true,
  "outreachLanguage": "English",
  "includedProfiles": "ALL",
  "withdrawRequestAfter": 21,
  "isBlankConnect": false,
  "followUpConfig": {
    "f_1": 3,
    "f_2": 7,
    "f_3": 14
  },
  "reEngagementConfig": {
    "r_1": 13,
    "r_2": 21
  },
  "prospectEnrichmentConfig": [
    "prospect_deep_dive",
    "company_deep_dive",
    "recent_news"
  ],
  "inputType": "SALES_NAV_SEARCH_URL",
  "inputUrl": "https://www.linkedin.com/sales/search/people/?query=(spellCorrectionEnabled%3Atrue%2Cfilters%3AList((type%3ACURRENT_TITLE%2Cvalues%3AList((id%3A9%2Ctext%3ACEO%2CselectionType%3AINCLUDED)))))"
}'
{
  "statusCode": 1,
  "status": true,
  "message": "<string>",
  "data": {
    "campaign": {
      "id": "<string>",
      "name": "<string>",
      "status": "<string>",
      "type": "<string>",
      "created_at": "<string>"
    }
  }
}

Default Response

Authorizations

  • x-api-key string required header

    Your Valley API key.

Request Body

application/json
  • name string required
  • type string enum required enum

    Allowed values: MESSAGING, FIRST_DEGREE_MESSAGE, INMAIL.

  • mode string enum required enum

    Allowed values: AI, TEMPLATED.

  • workspaceId string required
  • workspaceProductId string required
  • writingStyleId string
  • templateId string
  • outreachCountPerDay integer required
  • autoPilot boolean required
  • outreachLanguage string enum enum

    20 allowed enum values.

  • includedProfiles string
  • withdrawRequestAfter integer
  • isBlankConnect boolean
  • followUpConfig object
    + Show Child Attributes
    • f_1 integer
    • f_2 integer
    • f_3 integer
    • f_4 integer
    • f_5 integer
    • f_6 integer
    • f_7 integer
    • f_8 integer
    • f_9 integer
    • f_10 integer
  • reEngagementConfig object
    + Show Child Attributes
    • r_1 integer
    • r_2 integer
    • r_3 integer
    • r_4 integer
    • r_5 integer
    • r_6 integer
    • r_7 integer
    • r_8 integer
    • r_9 integer
    • r_10 integer
    • r_11 integer
    • r_12 integer
  • prospectEnrichmentConfig[] string array
  • inputType string enum required enum

    Allowed values: SALES_NAV_SEARCH_URL, LINKEDIN_POST_URL.

  • inputUrl string
  • scrapeReactions boolean
  • scrapeComments boolean

Response

application/json
  • statusCode number
  • status boolean
  • message string
  • data object
    + Show Child Attributes
    • campaign object
      + Show Child Attributes
      • id string
      • name string
      • status string
      • type string
      • created_at string